namespace Hcs.Client.Api.Request.Exception
{
    /// <summary>
    /// Исключение указывает на то, что сервер обнаружил что у 
    /// него нет объектов для выдачи по условию
    /// </summary>
    internal class NoResultsRemoteException : RemoteException
    {
        public NoResultsRemoteException(string description) : base(NO_OBJECTS_FOR_EXPORT, description) { }

        public NoResultsRemoteException(string errorCode, string description) :
            base(errorCode, description) { }

        public NoResultsRemoteException(string errorCode, string description, System.Exception nested) :
            base(errorCode, description, nested) { }
    }
}
